> The last few versions no longer build for me. I get this:
> 
> FXRuby.cpp:258: cannot convert `VALUE' to `void *' for 
> argument `1' to `rb_gc_mark (void *)'
> make: *** [FXRuby.o] Error 1
> setup failed
> 'system make' failed
> try 'ruby install.rb --help' for usage
> 
> 
> Any idea what's going on here?
> 
> This is on Ruby 1.6.7, but with the header file mods needed 
> for compilation.

The corrected prototype for rb_gc_mark() [from the latest CVS sources
for Ruby 1.6] is:

	void rb_gc_mark(VALUE);

and so you should "fix the fix" accordingly. You are absolutely correct
that in FXRuby releases 1.0.12 and earlier, the instructions were to
change the prototype to expect a void* argument, which was consistent
with the implementation of rb_gc_mark() at that time. When this
prototype was "officially" corrected in the Ruby 1.6 sources, I changed
the build instructions accordingly -- but I failed to make a big deal
about it in the change history for the 1.0.13 release (my oversight).